View Issue Details

IDProjectCategoryView StatusLast Update
0022853LazarusLCLpublic2015-04-11 01:18
ReporterVojtech CihakAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.4Fixed in Version1.5 (SVN) 
Summary0022853: TPageControl ignores nboKeyboardTabSwitch
DescriptionOn Qt, it is possible to switch Tabs of TPageControl by Ctrl+Tab or Ctrl+Shift+Tab even if Option nboKeyboardTabSwitch is False.

I tested on GTK2, works well.
I did not test on Windows.

Lazarus 1.1 r38424 FPC 2.7.1 x86_64-linux-qt

Thanks
TagsNo tags attached.
Fixed in Revision48696
LazTarget1.4
WidgetsetQT
Attached Files

Activities

2012-09-11 12:28

 

PageCtrlTabSwitch.zip (7,341 bytes)

Zeljan Rikalo

2015-04-10 13:49

developer   ~0082782

Please test and close if ok.

Vojtech Cihak

2015-04-11 01:18

reporter   ~0082796

Tetsed with r.48701. Thanks.

Issue History

Date Modified Username Field Change
2012-09-11 12:28 Vojtech Cihak New Issue
2012-09-11 12:28 Vojtech Cihak File Added: PageCtrlTabSwitch.zip
2012-09-11 12:28 Vojtech Cihak Widgetset => QT
2015-04-07 17:35 Zeljan Rikalo Assigned To => Zeljan Rikalo
2015-04-07 17:35 Zeljan Rikalo Status new => assigned
2015-04-07 17:54 Zeljan Rikalo LazTarget => -
2015-04-07 17:54 Zeljan Rikalo Status assigned => confirmed
2015-04-10 13:49 Zeljan Rikalo Fixed in Revision => 48696
2015-04-10 13:49 Zeljan Rikalo LazTarget - => 1.4
2015-04-10 13:49 Zeljan Rikalo Note Added: 0082782
2015-04-10 13:49 Zeljan Rikalo Status confirmed => resolved
2015-04-10 13:49 Zeljan Rikalo Fixed in Version => 1.5 (SVN)
2015-04-10 13:49 Zeljan Rikalo Resolution open => fixed
2015-04-10 13:49 Zeljan Rikalo Target Version => 1.4
2015-04-11 01:18 Vojtech Cihak Note Added: 0082796
2015-04-11 01:18 Vojtech Cihak Status resolved => closed